PHP Update auf 7.2

  • Hallo zusammen, ich muss mich tatsächlich mit einem weiteren Problem zu euch wenden.

    Ich habe jetzt allerdings keine Ahnung, was ihr hier zur Fehlerlokalisierung von mir benötigt.


    Ich hatte PHP version 5.6.36 installiert und habe mir nach Anleitung nun php 7.2 installiert.

    Wenn ich in der Console schaue, steht dort nun folgendes:



    Laut meiner Homepage läuft aber nich immer die PHP version 5.6.

    Ich habe schon mehrmals den Server neugestartet und bei dem Apache2 in "Mods enabeld" geschaut, da steht nur die php7.2 drin...

    Ich bin Ratlos und hoffe das ihr mir hier ebenfalls helfen könnt.


    Vielen vielen Dank.


    //edit

    interesannt ist, das dort nun ein "conflict" steht ... hmmmm

    das habe ich ja noch gar nicht gesehen...

  • Uh, ohne Plugin wie phpswitcher wird es nichts bringen ob du php7.2 nachinstallierst oder nicht.^^

    Außer du änderst die Konfigurationen manuell ab, was einiges an Änderungen erfordert und teils mit der aktuellen Version nicht machbar ist.

    Have a nice day. :)

  • Schau einmal unter

    Code
    1. /etc/imscp/php/php.data

    Dort sind die Einträge inkl. Pfade.


    und

    Code
    1. /etc/imscp/imscp.con

    Da gibt es den Eintrag "PHP_SERVER = phpX.X"


    Pass das einmal ein.


    Alle Services neu starten und checken ob sie gehen. Ev. muss die php.ini abgepasst werden. (Zwischen 5.6 und 7.2 sogar ganz sicher)



    Vorher aber ein Backup vom Server. Keine Garantie, dass das funktioniert. Hab ich noch nie gemacht, könnte aber gehen.


    LG


    PS.: Möglicherweise sind dann die 32,- EUR aber nicht mehr so schlimm. Btw wieviel zahlst du monatlich für den (v)Server, wenn 32,- EUR schon zuviel sind. Nuxwin muss auch von etwas leben.

  • ich bezahle für meinen VServer 2,50 € im Monat. Ich kann das ja auch voll und ganz nachvollziehen und die 32 € sind mit sicherheit gerechtfertigt.

    Das soll und war ja auch nicht irgendwie negativ gemeint.


    also, in der /etc/imscp/php/php.data steht folgendes


    und in der /etc/imscp/imscp.con

    Code
    1. PHP_SERVER = php5.6


    muss ich jetzt in der php.data alles ändern?

    bei meinem glück ist dann alles kaputt xD


    Grüße :)


    //edit

    ich hab alles auf php7.2 geändert und meine Homepage sagt immernoch 5.6

    PHP Version | 5.6.40-13+0~20191026.23+debian9~1.gbp37e45b

    :/:D


    //edit2

    Was ich vielleicht auch noch erwähnen kann, das eine php Datei mit dem Inhalt zur ausgabe der PHP Version nicht funktioniert.

    ich bekomme hier einfach eine leere Seite angezeigt

    http://rofl-copter.de/test.php

    PHP
    1. <?php
    2. phpinfo();
    3. ?>
  • Sehr Geehrter Herr Hofmann,

    es ist einfach so.

    Wenn Sie die Konfigdateien manuell ändern, den Support wird einfach nicht mehr erreichbar sein (oder kann "niet" antworten).

    Es gibt ein Plugin für alle Ihre Wünsche, und das heisst PhpSwitcher. Sie können mit dieses Plugin alles was Sie brauchen machen.


    So, i-MSCP 1.5.3 (latest release) wird offiziell mit php 7.1 laufen (auch mit 7.0). Wenn Sie andere Versionen brauchen, Sie sollten PhpSwitcher benutzen.

    i-MSCP Panel wird mit die basis Version laufen, für Ihre webseiten und domains Sie können die Version entscheiden (mit WebUI).


    MfG Kess


    P.S: Entschuldigung, aber Deutsch ist nicht meine Muttersprache

  • Uff, wenn du 5.6 hast. Dann hast du dies bei der Installation gesetzt gehabt.

    /var/www/imscp/engine/setup/imscp-reconfigure -r php


    Dieses ganze durcheinander mit den beiden Themen hilft auch nicht.

    Have a nice day. :)